/*********************************************************/
/*                      MAKEBSY.CMD                      */
/*                                                       */
/*      Copyright 1993 by Douglas C. Palmer              */
/*                        FidoNet:  1:387/31             */
/*                        Internet: doug@ephsa.sat.tx.us */
/*      All Right Reserved.                              */
/*                                                       */
/*      This file may be freely distributed as long      */
/*      as no charge is attached to it beyond the        */
/*      actual costs of reproduction.                    */
/*                                                       */
/*                                                       */
/*     This script creates BSY flags file name           */
/*     given the proper address of the destination       */
/*     address.                                          */
/*                                                       */
/*      It is ZONE stupid at this time.                  */
/*********************************************************/

Parse Arg Destination

Split=Pos('/',Destination)
DestLength=Length(Destination)

if Split=0 then
    do
        say "Improper address format"
        exit 2
    end
else
    nop

ZonePos=Pos(':',Destination)

if ZonePos=0 then
    do
        DestZone=1
        DestAddr=Destination
    end
else
    if ZonePos=1 then
        do
                say "Improper address format"
                exit 3
        end
    else
        do
                DestZone=Left(Destination, ZonePos - 1)
                DestAddr=Right(Destination, DestLength - ZonePos)
        end

DestNet = Left(DestAddr, Pos('/',DestAddr) - 1)
DestNode= Right(DestAddr, Length(DestAddr) - Pos('/',DestAddr))

nnnn = D2X(DestNet, 4)
mmmm = D2X(DestNode, 4)

BSYName = nnnn""mmmm".BSY"

say BSYName

return
